{ mkDerivation, aeson, base, base16-bytestring, bytestring
, cardano-binary, cardano-strict-containers, crypton, deepseq
, fetchzip, heapwords, io-classes, lib, libblst, libsodium, memory
, memory-pool, mempack, mtl, nothunks, primitive, secp256k1
, serialise, template-haskell, text, th-compat, transformers
, vector
}:
mkDerivation {
  pname = "cardano-crypto-class";
  version = "2.2.0.0";
  src = fetchzip {
    url = "https://chap.intersectmbo.org/package/cardano-crypto-class-2.2.0.0.tar.gz";
    sha256 = "13ac8a0fl28n3v5jp7dl3x2n21brr2zhx1aj1yfzbnnmm749awh5";
  };
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    aeson base base16-bytestring bytestring cardano-binary
    cardano-strict-containers crypton deepseq heapwords io-classes
    memory memory-pool mempack mtl nothunks primitive serialise
    template-haskell text th-compat transformers vector
  ];
  libraryPkgconfigDepends = [ libblst libsodium secp256k1 ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  description = "Type classes abstracting over cryptography primitives for Cardano";
  license = lib.licenses.asl20;
  broken = false;
}