{ mkDerivation, base, bytestring, cardano-binary
, cardano-crypto-class, deepseq, fetchzip, lib, libsodium, nothunks
}:
mkDerivation {
  pname = "cardano-crypto-praos";
  version = "2.2.0.0";
  src = fetchzip {
    url = "https://chap.intersectmbo.org/package/cardano-crypto-praos-2.2.0.0.tar.gz";
    sha256 = "0kwlfparmfrfqp46zysy56m3vk73vyd3qfv2k2pj6dhj749hiqvk";
  };
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    base bytestring cardano-binary cardano-crypto-class deepseq
    nothunks
  ];
  libraryPkgconfigDepends = [ libsodium ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  description = "Crypto primitives from libsodium";
  license = lib.licenses.asl20;
  broken = false;
}