{ mkDerivation, QuickCheck, base, base16-bytestring, bytestring
, cardano-binary, cardano-crypto-class, cardano-crypto-praos, cborg
, containers, contra-tracer, criterion, crypton, deepseq, fetchzip
, formatting, io-classes, lib, mempack, mtl, nothunks, pretty-show
, quickcheck-instances, tasty, tasty-hunit, tasty-quickcheck
, vector
}:
mkDerivation {
  pname = "cardano-crypto-tests";
  version = "2.2.0.0";
  src = fetchzip {
    url = "https://chap.intersectmbo.org/package/cardano-crypto-tests-2.2.0.0.tar.gz";
    sha256 = "0r5m82n8lpbxvipwgr6kd2d25jmwl1wlfi34c7djpgh8c30g1mz0";
  };
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = true;
  libraryHaskellDepends = [
    base base16-bytestring bytestring cardano-binary
    cardano-crypto-class cardano-crypto-praos cborg containers
    contra-tracer criterion crypton deepseq formatting io-classes
    mempack mtl nothunks pretty-show QuickCheck quickcheck-instances
    tasty tasty-hunit tasty-quickcheck vector
  ];
  testHaskellDepends = [
    base cardano-crypto-class tasty tasty-quickcheck
  ];
  benchmarkHaskellDepends = [ base cardano-crypto-class criterion ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  description = "Tests for cardano-crypto-class and -praos";
  license = lib.licenses.asl20;
  broken = false;
}