{ mkDerivation, aeson, async, base, base16-bytestring, bytestring
, canonical-json, cborg, containers, deepseq, extra, fetchzip
, formatting, ghc-heap, ghc-prim, integer-gmp, lib, microlens, mtl
, stm, tagged, text, time, transformers
}:
mkDerivation {
  pname = "cardano-prelude";
  version = "0.2.1.0";
  src = fetchzip {
    url = "https://chap.intersectmbo.org/package/cardano-prelude-0.2.1.0.tar.gz";
    sha256 = "18nzwkxaxmk9hk37nmpazcd4dswimd09r8b7dqlkyz4zg0z3b718";
  };
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    aeson async base base16-bytestring bytestring canonical-json cborg
    containers deepseq extra formatting ghc-heap ghc-prim integer-gmp
    microlens mtl stm tagged text time transformers
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  description = "A Prelude replacement for the Cardano project";
  license = lib.licenses.asl20;
  broken = false;
}