{ mkDerivation, QuickCheck, async, barbies, base, base16-bytestring
, base64-bytestring, bytestring, cborg, containers, deepseq, extra
, fetchzip, filepath, hedgehog, lens, lib, mtl, nothunks
, plutus-core, plutus-tx, plutus-tx-plugin, plutus-tx-test-util
, prettyprinter, primitive, serialise, tagged, tasty
, tasty-hedgehog, tasty-hunit, tasty-quickcheck, text
}:
mkDerivation {
  pname = "plutus-ledger-api";
  version = "1.38.0.0";
  src = fetchzip {
    url = "https://chap.intersectmbo.org/package/plutus-ledger-api-1.38.0.0.tar.gz";
    sha256 = "070kh9cshhmgwkqa3d7blbiaxll5jgj2nnbczwqrj32mm92vb8ks";
  };
  isLibrary = true;
  isExecutable = true;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    barbies base base16-bytestring base64-bytestring bytestring cborg
    containers deepseq lens mtl nothunks plutus-core plutus-tx
    prettyprinter QuickCheck serialise tagged text
  ];
  executableHaskellDepends = [
    async base extra filepath lens mtl plutus-core plutus-tx primitive
    serialise tasty tasty-hunit
  ];
  testHaskellDepends = [
    base bytestring cborg containers extra hedgehog lens mtl nothunks
    plutus-core plutus-tx plutus-tx-plugin plutus-tx-test-util
    prettyprinter QuickCheck serialise tasty tasty-hedgehog tasty-hunit
    tasty-quickcheck
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = false;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  description = "Interface to the Plutus ledger for the Cardano ledger";
  license = lib.licenses.asl20;
  broken = false;
}