{ mkDerivation, PyF, array, base, base16-bytestring, bytestring
, containers, deepseq, either, extra, fetchzip, filepath, flat, ghc
, hedgehog, lens, lib, mtl, optparse-applicative, plutus-core
, plutus-tx, plutus-tx-test-util, prettyprinter, serialise, tagged
, tasty, tasty-golden, tasty-hedgehog, tasty-hunit
, template-haskell, text, these, uniplate
}:
mkDerivation {
  pname = "plutus-tx-plugin";
  version = "1.38.0.0";
  src = fetchzip {
    url = "https://chap.intersectmbo.org/package/plutus-tx-plugin-1.38.0.0.tar.gz";
    sha256 = "1jvvfys0dch94m6897gbkz3givnjxckb5fan047q8la5q6c3c2jx";
  };
  isLibrary = true;
  isExecutable = true;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    array base base16-bytestring bytestring containers either extra
    flat ghc lens mtl plutus-core plutus-tx prettyprinter
    template-haskell text uniplate
  ];
  executableHaskellDepends = [
    base containers lens optparse-applicative prettyprinter PyF text
  ];
  testHaskellDepends = [
    base base16-bytestring bytestring containers deepseq filepath flat
    hedgehog lens mtl plutus-core plutus-tx plutus-tx-test-util
    serialise tagged tasty tasty-golden tasty-hedgehog tasty-hunit
    template-haskell text these
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  description = "The Plutus Tx compiler and GHC plugin";
  license = lib.licenses.asl20;
  broken = false;
}